{
  writeShellApplication,
  podman
}:

writeShellApplication {
  name = "custom-typo3-render-documentation";

  runtimeInputs = [
    podman
  ];

  # Repository: https://github.com/TYPO3-Documentation/render-guides
  text = ''
    mkdir -p Documentation-GENERATED-temp
    podman \
      run --rm \
      -v "$(pwd)":/project \
      -it ghcr.io/typo3-documentation/render-guides:latest \
      --config=Documentation
  '';
}
